Skip to main content
GET
/
v1
/
perps
/
liquidation_history
Get Liquidation History
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/liquidation_history \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "id": "liq_70a37d8f972f2494837f9dba8364cbb4",
      "time": "2025-02-15T08:00:00Z",
      "initiatedAt": "2025-02-15T07:59:55Z",
      "accountId": "10458932786832481",
      "status": "finished",
      "insuranceFundUsed": "0.00",
      "adl": false,
      "retryCount": 0,
      "filledQuoteSize": "5000.00",
      "filledQuantity": "22.00",
      "reclaimOrderMargin": false
    }
  ],
  "pageInfo": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Filter by market

Example:

"AAPL-USD.P"

limit
integer

Maximum number of results to return

Example:

100

cursor
string

Pagination cursor

Example:

"NQ5WWO3THN3Q===="

startTime
integer

Start time filter (UTC milliseconds)

Example:

1684814400000

endTime
integer

End time filter (UTC milliseconds)

Example:

1672549200000

Response

Paginated list of liquidation events

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]
pageInfo
object